//
//  GOAppDelegate.h
//  FacebookLogin
//
//  Created by Gabriel O'Flaherty-Chan on 2012-11-11.
//  Copyright (c) 2012 Gabrieloc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <FacebookSDK/FacebookSDK.h>

#define APP_DELEGATE [[UIApplication sharedApplication] delegate]

extern NSString *const FBSessionStateChangedNotification;

@interface GOAppDelegate : UIResponder <UIApplicationDelegate>

- (BOOL)openSessionWithAllowLoginUI:(BOOL)allowLoginUI;
- (void) closeSession;

@property (strong, nonatomic) UIWindow *window;

@end
